#include "CoreArchiveJournalWidget.h"
#include "UObject/SoftObjectPtr.h"

class UCoreSelectableButtonWidget;
class UTexture2D;
class UCoreInputSwitcherWidget;

void UCoreArchiveJournalWidget::ShowImageViewer()
{

}

void UCoreArchiveJournalWidget::SetArrowButtons()
{

}

void UCoreArchiveJournalWidget::OnVoiceOverPlay()
{

}

void UCoreArchiveJournalWidget::OnVoiceOverAutoPlay(bool autoplay)
{

}

void UCoreArchiveJournalWidget::OnVignetteEntrySelected(UCoreSelectableButtonWidget* selectedButton)
{

}

void UCoreArchiveJournalWidget::OnVignetteCinematicSelected(UCoreSelectableButtonWidget* selectedButton)
{

}

void UCoreArchiveJournalWidget::OnVignetteButtonSelected(UCoreSelectableButtonWidget* selectedButton)
{

}

void UCoreArchiveJournalWidget::OnRightArrowTriggered()
{

}

void UCoreArchiveJournalWidget::OnRewardImageLoaded(TSoftObjectPtr<UTexture2D> loadedTexture, bool success, FText titleText, FText descriptionText, float textureOffset)
{

}

void UCoreArchiveJournalWidget::OnLeftArrowTriggered()
{

}

void UCoreArchiveJournalWidget::OnJournalEntriesUnlocked()
{

}

void UCoreArchiveJournalWidget::OnFirstJournalEntryUnlocked()
{

}

void UCoreArchiveJournalWidget::InitializeArrow(UCoreInputSwitcherWidget* arrowWidget, bool active)
{

}

UCoreArchiveJournalWidget::UCoreArchiveJournalWidget()
{
	this->AreInputsEnabled = true;
	this->RewardImageMaxDescriptionLength = 50;
}
